Skip to main content
POST
/
v1
/
contacts
Create Contact
curl --request POST \
  --url https://api.stover.app/v1/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "company": "<string>",
  "notes": "<string>",
  "utm_source": "<string>",
  "utm_medium": "<string>",
  "utm_campaign": "<string>",
  "referral_url": "<string>"
}
'
import requests

url = "https://api.stover.app/v1/contacts"

payload = {
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"company": "<string>",
"notes": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"referral_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
company: '<string>',
notes: '<string>',
utm_source: '<string>',
utm_medium: '<string>',
utm_campaign: '<string>',
referral_url: '<string>'
})
};

fetch('https://api.stover.app/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
This endpoint supports both authenticated and public modes. Omit the API key for lead capture forms (rate limited to 20 req/min per IP).

Request Fields

FieldRequiredDescription
first_nameYesFirst name
last_nameYesLast name
email*Email address
phone*Phone number
companyNoCompany name
notesNoAdditional notes
utm_sourceNoTraffic source
utm_mediumNoMarketing medium
utm_campaignNoCampaign name
referral_urlNoReferral page URL
* At least one of email or phone is required.

Example

curl -X POST https://api.stover.app/v1/contacts \
  -H "Authorization: Bearer stover_pk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name": "Jane",
    "last_name": "Doe",
    "email": "[email protected]",
    "company": "Acme Inc",
    "utm_source": "linkedin"
  }'
const response = await fetch('https://api.stover.app/v1/contacts', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer stover_pk_your_api_key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    first_name: 'Jane',
    last_name: 'Doe',
    email: '[email protected]',
    company: 'Acme Inc',
    utm_source: 'linkedin'
  })
});
import requests

response = requests.post(
    'https://api.stover.app/v1/contacts',
    headers={
        'Authorization': 'Bearer stover_pk_your_api_key',
        'Content-Type': 'application/json'
    },
    json={
        'first_name': 'Jane',
        'last_name': 'Doe',
        'email': '[email protected]',
        'company': 'Acme Inc',
        'utm_source': 'linkedin'
    }
)

Authorizations

Authorization
string
header
required

API key: Bearer stover_pk_...

Body

application/json
first_name
string
required

First name

last_name
string
required

Last name

email
string

Email (required if no phone)

phone
string

Phone (required if no email)

company
string
notes
string
utm_source
string
utm_medium
string
utm_campaign
string
referral_url
string

Response

Contact created

success
boolean
data
object